#include <bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false); 
    cin.tie(NULL) ; cout.tie(NULL) ; 
    
    long int a, b, c, d;
    cin>>a>>b>>c>>d;
    
    if(abs(a)==abs(c)||abs(b)==abs(d)){
    	cout<<2;
	}else
	if(abs(a-c)==abs(b-d)){
		cout<<1;
	}else{
		cout<<0;
	}
}